/* auconn.c إåե
 * 05/29 2000
 * shige
 * auconn.h
 *
 * $Id: auconn.h,v 1.25 2017-03-30 21:23:06+09 shige Exp $
 */
#ifndef __AUCONN_H__
#define __AUCONN_H__

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "cstruct.h"
#include "conf.h"
#include "error.h"
#include "common.h"

#ifdef __AUCONN_C__
#define Maxdatanum 1000
#define Maxopenmode 3

int verbose = 1;
int listonly = 0;
FILE *tmpfile1 = NULL;
ConnOpt defopt;

#define StrOrNull(s) (((s) != NULL) ? (s) : "")

char *CommandNames[] = {"auconn", "wavconn", "aiffconn"};


/* ##### defined in conf.h ##### */
extern double Mintimes;
extern char *NULLFname, *undefs;
extern char *DEFAULTPathlist;
extern char *DEFAULTExtlist;
extern char *DEFAULTConffname;
extern char *DEFAULTPathEnvname;
extern char *DEFAULTExtEnvname;
extern char *DEFAULTNULLFEnvname;
extern char *pathlist[], *extlist[], nullfbuff[];
extern int pathlistnum, extlistnum;
extern int order[];
#endif /* __AUCONN_C__ */

#ifdef __AUCONN_C__
# define EXTERN_AUCONN 
#else
# define EXTERN_AUCONN extern 
#endif

EXTERN_AUCONN int main(int argc, char *argv[], char *env[]);
EXTERN_AUCONN int setdefaultSndForm(char *commname);
EXTERN_AUCONN int getformop(int argc, char *argv[]);
EXTERN_AUCONN int getarg(int argc, char *argv[], char *env[], int form,
			 ConnOpt opt[], int *Dataonly);
EXTERN_AUCONN void usage(char *comname, int form);

#endif /* __AUCONN_H__ */
