/* 8bit u-law / 8kHz  data ñ˷Ҥ
 * shige
 * 02/16 1999 ver 0.1
 * 03/09 1999 ver 0.2
 * 05/02 2000 ver 0.3
 * auconn.c
 *
 * $Id: auconn.c,v 1.45 2017-03-31 15:18:32+09 shige Exp $
 */
/* 02/16 1999
 * 1)	椯椯ϿʤΤĤʤѤˤ
 * 03/09 1999
 * 2)	file  full path ͿƤȤ shell  command line 
 * 	buffer θ³롣äơsearch path ꤹ褦ˤ롣
 * 	ϡ file  path Ǥʤdata format ʤɿ 
 *	command line option 񤱤褦ˤ롣ޤǳĥ
 *	ʤ
 * 05/02 2000
 * 3)	strtok  csrc/test/teststrt.c ˤ⤢褦ˡconstant ʸ
 *	ФƤ Bus error
 * 12/31 2016
 * 4)	Ĺ SndLen  struct ˤLenType  block ȥߥäʬ롣
==> Ѥߡ
 * 5)	sndconn äơ{au,wav,aiff}conn ϤؤΥ󥯤ˤ롣
==> sndconn ξȵưʬΤݤʡ
 * 6)	-D[str] ǥǥåɤĹǤ褦ˡ
 * 7)	-L/-P/-S/-D ξΤҤ (-L ʤǤƱ)
 * 8)   7) ̵ξ֤ˤ뤿 0 Ǥʤ 'n' ꤹ롣
==> Ѥߡ
 */
#ifndef __AUCONN_C__
#define __AUCONN_C__

#include "auconn.h"

/* ########## main routine ########## */
int main(int argc, char *argv[], char *env[])
{
    int j, k;
    SNDheader snd0, *snd;
    int dataonly = 0, ret, ch, bs;
    double smplrate;
    int form;
    ConnOpt opt[Maxdatanum];
    int pathnum[Maxdatanum];
    int fnames, nullexist, nullpathnum;
    long int totalblocks = 0L, blocks, Nlen, len;
    long int olen[Maxdatanum], maxilen[Maxdatanum];
    double svol[MAXChannel], evol[MAXChannel];

    /* Ϥǽ form ɬפ롣 */
    if (((form = setdefaultSndForm(argv[0])) == E_UNKNOWN
	 && (form = getformop(argc, argv)) == E_UNKNOWN)
	|| argc < 2) {
	usage(argv[0], form); return Exit_noarg;
    }
    initdefvar(form);
    inithome(env);
    /* config file  Ķѿɤ */
    if ((ret = setsystemdefault(&defopt)) < 0
	|| (ret = loadenv(env)) < 0
	|| (ret = loadconffile(DEFAULTConffname, &defopt)) < 0) {
	usage(argv[0], form); return -ret;
    }
    /* öǥեȤξ֤ defopt ˼ơ
     * opt[0] Ϥ򥳥ԡƳϡ
     */
    opt[0] = defopt;

    if ((fnames = getarg(argc, argv, env, form, opt, &dataonly)) <= 0) {
	usage(argv[0], form); return -fnames;
    }
#ifdef DEBUG4
    fprintf(stderr, "[debug4] fnames=%d\n", fnames);
    for (j=0; j<fnames; j++) {
	fprintf(stderr, "[debug4] fnamepos[%d]=%d (%s)\n", 
		j, opt[j].fnamepos, argv[opt[j].fnamepos]);
	fprintf(stderr, "[debug4] ordermode[%d]=%d\n", 
		j, opt[j].pmode);
    }
#endif
    if (listonly) {
	for (j=0; j<fnames; j++)
	  if ((tmpfile1 = fopenpathlist(argv[opt[j].fnamepos], 
					opt[j].pmode, opt[j].pparam,
					NULL)) != NULL
	      || (NULLFname != NULL 
		  && (tmpfile1 = fopenpathlist(NULLFname, 
					       opt[j].pmode,
					       opt[j].pparam,
					       NULL)) != NULL))
	    fclose(tmpfile1);
	return No_err;
    }
    if (NULLFname != NULL 
	&& (tmpfile1 = fopenpathlist(NULLFname, 0, 0, &nullpathnum)) 
	!= NULL) {
	nullexist = 1;
	fclose(tmpfile1);
    } else nullexist = 0;

    /* 1 ܤ file 򳫤 */
    if ((tmpfile1 = fopenpathlist(argv[opt[0].fnamepos], opt[0].pmode,
				  opt[0].pparam, &pathnum[0])) 
	== NULL) {
	if (!nullexist) return Exit_openpathfile;
	argv[opt[0].fnamepos] = NULLFname; 
	if ((tmpfile1 = fopenpathlist(argv[opt[0].fnamepos], 
				      opt[0].pmode, opt[0].pparam, 
				      &pathnum[0])) == NULL)
	  return Exit_openpathfile;
    }
    if ((snd = (SNDheader *) malloc(sizeof(SNDheader)*fnames)) == NULL)
      return Exit_getmaxdata;
    if ((ret = getSNDheader(tmpfile1, &snd[0])) < 0 || ret != form)
      return Exit_getSNDheader;
    /* opt[].len Ѵ */
    smplrate = SNDsmplrate(&snd[0], form);
    for (j=0; j<fnames; j++) {
	if (opt[j].total.type == L_msec) {
	    opt[j].total.type = L_block;
	    opt[j].total.len = opt[j].total.len*smplrate/1000;
	}
	if (opt[j].head.type == L_block) {
	    opt[j].head.type = L_msec;
	    opt[j].head.len = opt[j].head.len*1000/smplrate;
	}
	if (opt[j].tail.type == L_block) {
	    opt[j].tail.type = L_msec;
	    opt[j].tail.len = opt[j].tail.len*1000/smplrate;
	}
    }
    fclose(tmpfile1);
    /* 2 ܰʹߤ file 򳫤 header  1 ܤΤΤ */
    for (j=1; j<fnames; j++) {
	if ((tmpfile1 = fopenpathlist(argv[opt[j].fnamepos], 
				      opt[j].pmode, opt[j].pparam,
				      &pathnum[j])) == NULL) { 
	    if (!nullexist) return Exit_openpathfile;
	    argv[opt[j].fnamepos] = NULLFname;
	    if ((tmpfile1 = fopenpathlist(argv[opt[j].fnamepos],
					  opt[j].pmode, opt[j].pparam,
					  &pathnum[j])) == NULL)
	      return Exit_openpathfile;
	}
	if (getSNDheader(tmpfile1, &snd[j]) < 0)
	  return Exit_getSNDheader;
	if (SNDchheaderMASK(&snd[j], &snd[0], form, CH_ALL) < 0)
	  return Exit_chSNDheader;
	fclose(tmpfile1);
    }
    /*  */
    if (!dataonly && cpSNDheader(&snd0, &snd[0], form) < 0)
      return Exit_cpSNDheader;
    for (j=0; j<fnames; j++) {
	maxilen[j] = SNDblocks(&snd[j], form);
	len = opt[j].total.len;
	Nlen = (opt[j].times > 0.0 && opt[j].times != 1.0) ? 
	    floor((maxilen[j] - 1)/opt[j].times) + 1 : maxilen[j];
	olen[j] = (len > 0 && len <= Nlen) ? len : Nlen; 
	/* putSNDtrans  */
	blocks = (len > olen[j] && opt[j].addsp) ? len : olen[j];
	totalblocks += blocks;
    }
    if (!dataonly) {
	setSNDheader(&snd0, form, 0, 0, 0, 0, totalblocks, CH_BLOCKS);
	putSNDheader(stdout, &snd0, form);
    }
    ch = SNDchannels(&snd[0], form);
    for (j=0; j<ch; j++) svol[j] = evol[j] = 1.0;

    for (j=0; j<fnames; j++) {
	if ((tmpfile1 = fopenpathlist(argv[opt[j].fnamepos], -1, 0, 
				      &pathnum[j])) == NULL)
	  return Exit_openpathfile;
	SNDskipheader(tmpfile1, form);
	len = opt[j].total.len;
	if (opt[j].addsp < 0 && len > olen[j]) {
	    blocks = (len - olen[j])*ch;
	    for (k=1; k<=blocks; k++) 
	      SNDputnull1ch(stdout, &snd[j], form);
	}
	/* t1, t2, svol, evol */
	ret = SNDputtrans(tmpfile1, stdout, &snd[j], form,
			  olen[j], maxilen[j], opt[j].times, 
			  opt[j].head.len, opt[j].tail.len, 
			  svol, evol);
#ifdef DEBUG4
	if (ret < 0) {
	    fprintf(stderr, "[debug4] SNDputtrans(");
	    fprintf(stderr, "f, stdout, snd, form, \n     ");
	    fprintf(stderr, "olen=%ld, maxilen=%ld, times=%f, \n     ", 
		    olen[j], maxilen[j], opt[j].times);
	    fprintf(stderr, "hlen=%f, tlen=%f, sv[0]=%f, ev[0]=%f) = %d\n",
		    (double) opt[j].head.len, (double) opt[j].tail.len, 
		    svol[0], evol[0], ret);
	}
#endif 
	if (ret < 0) return Exit_SNDputtrans;
	if (opt[j].addsp > 0 && len > olen[j]) {
	    blocks = (len - olen[j])*ch;
	    for (k=1; k<=blocks; k++) 
	      SNDputnull1ch(stdout, &snd[j], form);
	}
	fclose(tmpfile1);
	tmpfile1 = NULL;
    }
    if (!dataonly) {
	bs = SNDblocksize(&snd[0], form);
	if (form != E_AU && bs%2 && totalblocks%2) fputc(0, stdout);
    }
    return No_err;
}

/* ##### get-argument and initialize for {au,wav,aiff}conn ##### */
int setdefaultSndForm(char *commname)
{
    int len1, len2, j;

    len1 = strlen(commname);
    for (j=0; j<=2; j++) {
        if ((len2 = strlen(CommandNames[j])) <= len1) {
            if (len2 == len1 && strcmp(CommandNames[j], commname) == 0)
	      return j;
            if (len2 < len1 
		&& strcmp(CommandNames[j], commname + len1 - len2) == 0
                && *(commname + len1 - len2 - 1) == '/') return j;
        }
    }
    return E_UNKNOWN;
}

/* getformop(): form option (-au, -wav, -aiff Τߤ˥å)
 */
int getformop(int argc, char *argv[])
{
    int j;
    
    for (j=1; j<argc; j++) {
	if (strcmp("-au", argv[j]) == 0) return E_AU;
	if (strcmp("-wav", argv[j]) == 0) return E_WAV;
	if (strcmp("-aiff", argv[j]) == 0) return E_AIFF;
    }
    return E_UNKNOWN;
}

int getarg(int argc, char *argv[], char *env[], int form, 
	   ConnOpt opt[], int *Dataonly)
{
    int j = 1, inoption, ret, filenum = 0, pr2f = 0, len;
    char c;

    while(1) {
	if (*argv[j] != '-') {
	    if (filenum >= Maxdatanum) return -Exit_toomanyarg;
	    opt[filenum ++].fnamepos = j;
	    if (++j >= argc) break;
	    opt[filenum] = opt[filenum - 1];
	    if (pr2f) opt[filenum].pmode = 2;
	    else opt[filenum].pmode = 0;
	    opt[filenum].pparam = 0;
	    continue;
	}
	c = *(++argv[j]);
	while(1) {
	    switch(c) {
	    case 'p':
		pathlistnum = updatelist(pathlist, pathlistnum, 
					 Maxpathlists, argv[j] + 1,
					 Maxpathlen);
		if (pathlistnum < 0) return pathlistnum;
		inoption = 0;
		break;
	    case 'e':
		extlistnum = updatelist(extlist, extlistnum, 
					Maxextlists, argv[j] + 1,
					Maxextlen);
		if (extlistnum < 0) return extlistnum;
		inoption = 0;
		break;
	    case 'f':
		if (*(++argv[j]) == '\0' && ++j >= argc)
		  return -Exit_noarg;
		if ((ret = loadconffile(argv[j], &opt[filenum])) < 0) 
		  return ret;
		inoption = 0;
		break;
	    case 'q':
		verbose = 0;
		inoption = 1;
		break;
	    case 'l':
		listonly = 1;
		inoption = 1;
		break;
	    case 'r':
		*Dataonly = 1;
		inoption = 1;
		break;
	    case 'n':
		if (*argv[j] == '\0' || *argv[j] == '-')
		  NULLFname = NULL;
		else if ((len = strlen(argv[j])) >= Maxnullflen)
		  return Err_longconf;
		else {
		    if (NULLFname == NULL) NULLFname = nullfbuff;
		    strcpy(NULLFname, argv[j]);
		}
		inoption = 0;
		break;
	    case 'L':
		if ((ret = setL(argv[j] + 1, &opt[filenum])) < 0)
		  return ret;
		inoption = 0;
		break;
	    case 'C':
		if ((ret = setC(argv[j] + 1, &opt[filenum])) < 0)
		  return ret;
		inoption = 0;
		break;
	    case 'D':
		if ((ret = setD(argv[j] + 1, &opt[filenum])) < 0)
		  return ret;
		inoption = 0;
		break;
	    case 'S':
		if ((ret = setS(argv[j] + 1, &opt[filenum])) < 0)
		  return ret;
		inoption = 0;
		break;
	    case 'P':
		if ((ret = setP(argv[j] + 1, &opt[filenum])) < 0)
		  return ret;
		if (opt[filenum].pmode == 2 
		    && opt[filenum].pparam == 2) pr2f = 1;
		else pr2f = 0;
		inoption = 0;
		break;
	    case 'h':
		return -Exit_help;
	    default:
		return -Exit_unknownarg;
	    }
	    if (!inoption ||(c = *(++argv[j])) == '\0') break;
	}
	if (++j >= argc) return -Exit_noarg;
    }
    /* option ˤäƤ file ̾ stdin 餦äƤΤ⤤⤷
     * ʤ
     */
#ifdef DEBUG4
    putallpathlist();
    putallextlist();
    putallopt(opt, filenum);
#endif
    return filenum;
}


/* ##### usage() for {au, aiff, wav}conn ##### */
#define MYERRORDEV stderr
#define ERRPUTS0(s) fputs(s, MYERRORDEV)
#define ERRPUTS1(s, d1) fprintf(MYERRORDEV, s, d1)
#define ERRPUTS2(s, d1, d2) fprintf(MYERRORDEV, s, d1, d2)
#define ERRPUTS3(s, d1, d2, d3) fprintf(MYERRORDEV, s, d1, d2, d3)

#define ERRPUTN0(s) { ERRPUTS0(s); fputc('\n', MYERRORDEV); }
#define ERRPUTN1(s, d1) { ERRPUTS1(s, d1); fputc('\n', MYERRORDEV); }
#define ERRPUTN2(s, d1, d2) { ERRPUTS2(s, d1, d2); fputc('\n', MYERRORDEV); }
#define ERRPUTN3(s, d1, d2, d3) { ERRPUTS3(s, d1, d2, d3); \
	fputc('\n', MYERRORDEV); }

void usage(char *comname, int form)
{
    char *fs[] = {"au", "wav", "aiff"};

    ERRPUTN3("Usage: %s [options] [%sfile] ([%sfile] ...)",
	     comname, fs[form], fs[form]);
    ERRPUTN0(" options:");
    ERRPUTN1("   -p[path]: %s file ѥ", fs[form]);
    ERRPUTN1("             (default = \"%s\")", StrOrNull(DEFAULTPathlist));
    ERRPUTN1("   -e[ext] : %s file ĥ", fs[form]);
    ERRPUTN1("             (default = \"%s\")", StrOrNull(DEFAULTExtlist));
    ERRPUTN1("   -f[file]: ե (default = %s)",
	     StrOrNull(DEFAULTConffname));
    ERRPUTN1("   -l      : %s file ΥꥹȤΤɽ", fs[form]);
    ERRPUTN0("   -n[path]: nullfile ե̾ (default = ʤ)"); 
    ERRPUTN0("   -L[str] : ƲǤĹ (default = ΤޤϢ)");
    ERRPUTN0("             ([str] = (b|s)[Ĺ](+|-))");
    ERRPUTN0("   -C[str] : Ƭ֤Ĺ (default = ʤ)");
    ERRPUTN0("   -D[str] : θ֤Ĺ (default = ʤ)");
    ERRPUTN0("             ([str] = (b|s)[Ĺ])");
    ERRPUTN0("   -S[num] : [num] ® (default = 1.0)");
	/* "   -au/wav/aiff: եޥåȤλ",  */
	/* ϡauconn, wavconn, aiffconn Ǥ̵뤹褦 */
        /* դ sndconn Ǥɬ */
    ERRPUTS0("   -r      : եإåϤʤ");
    ERRPUTN0(" (default = Ϥ)");
    ERRPUTN0("   -P(r|s|o)[n]: ѥθ (default = )");
    ERRPUTN0("   -q      : 顼ɽʤ");
    ERRPUTN0("   -h      : Υå");
    ERRPUTN0("");
    ERRPUTN0("[1] ѥĥҤϡ (':') ڤʣǤ롣");
    ERRPUTN0("[2] եˤϡǥեȤθѥĥҤǤ롣");
    ERRPUTN0("  եǤ '#' ǻϤޤԤϥȤȸʤ졢Ԥ̵");
    ERRPUTN0("  뤵롣ԤΥեޥåȤ");
    ERRPUTN0("    [] [ꥹ]");
    ERRPUTN0("  ǡ[] ϡѥ \"path\", ĥҤ \"ext\" Ȥ롣");
    ERRPUTN0("  եǤ ':' ͭĹʤϡƱ");
    ERRPUTN0("  ʣιԤ񤱤Ф褤");
    ERRPUTN0("[3] ѥĥҤϡ줾ʲδĶѿ:");
    ERRPUTN2("    %s, %s", StrOrNull(DEFAULTPathEnvname), 
	     StrOrNull(DEFAULTExtEnvname));
    ERRPUTN0("  ⻲Ȥ롣̤ͥ");
    ERRPUTN0("    ޥɥ饤 > Ķѿ > ե > ǥե");
    ERRPUTN0("  ν (ǥեȤϥѥΥǥեȤǡΥץ");
    ERRPUTN0("  βս default Ȥƽ񤫤Ƥ)");
    ERRPUTN0("[4] nullfile ϡꤷե뤬ʤäѤ˻Ȥ");
    ERRPUTN0("  ե (̵ʤ)ΥեФƤ⸡ѥ");
    ERRPUTN0("  ĥҤλͭdefault Ǥ nullfile ϻѤ顼");
    ERRPUTN0("  롣Ķѿ:");
    ERRPUTN1("    %s", StrOrNull(DEFAULTNULLFEnvname));
    ERRPUTN0("  ǤλꡢեΥ \"nullfile\" ˤġ");
    ERRPUTN0("  ʤե̾Ȥ \"-\" ꤷ nullfile ϻ");
    ERRPUTN0("  ʤ");
    ERRPUTN0("[5] -L[str] ꤹȡƲǤꤷĹ·ƽϤ롣");
    ERRPUTN0("  [str] ");
    ERRPUTN0("    b[num],b[num]+,b[num]-(==[num] block)");
    ERRPUTN0("    s[num],s[num]+,s[num]-(==[num] ߥ)");
    ERRPUTN0("   6 ̤ηǻǤ롣ǤĹĹĹϥ");
    ERRPUTN0("  åȤ졢Ĺû硢'+', '-' ǸˤĤƤȤ");
    ERRPUTN0("  ̵Ĥ ('+': '-': Ƭ)ŪĹ [num]");
    ERRPUTN0("  ·롣");
    ERRPUTN0("[6] -C ϳƲǤƬΥܥ塼 0 Ϣ³Ū (");
    ERRPUTN0("  ) Ĺ-D  0 ˸ (ǥå");
    ERRPUTN0("  ) Ĺꡣ[str]  +,- ʤ (b|s)[num] ");
    ERRPUTN0("[7] -S[num]  [num]>1.0 ΤȤ®[num]<1.0 ΤȤ٤");
    ERRPUTN0("  ꡢƤ˱ƲѲ롣");
    ERRPUTN0("[8] -P λϰʲ̤ꡣ");
    ERRPUTN0("  -Pr[n]:  (n = 0: , 1: ¹˥ࡢ2: ");
    ERRPUTN0("                    ˥)");
    ERRPUTN0("  -Ps[n]: ͥ (n ܤλѥͥ˸)");
    ERRPUTN0("  -Po[n]: ñȻ (n ܤλѥΤߤ򸡺)");
    ERRPUTN0("[9] -L/-S/-P/-D/-C ץϡեʣ");
    ERRPUTN0("  ǤλʹߤΥե˱ƶ롣ޤʲ϶̡");
    ERRPUTN0("  Ĥ˻ ==> ľξ֤³ (ʤƱ)");
    ERRPUTN0("  'i' Ĥƻ ==> եɤ߹ľν֤");
    ERRPUTN0("  'n' Ĥƻ ==> ե⥯ꥢ֤");
}

#endif /* __AUCONN_C__ */
