/* au file ôʬ
 * shige
 * 05/29 2000
 * auio.c
 *
 * $Id: auio.c,v 1.21 2017-03-09 17:17:30+09 shige Exp $
 */
/* 05/29 200
 * 1)	 auconn.c ˤäΤʬΥ
 * 2)	Τˡؿλͤľ
 */
#ifndef __AUIO_C__
#define __AUIO_C__

#include "auio.h"

/* #define DEBUG1 */
/* #define DEBUG2 */

/* au file  header μ
 * λϥǡƬ
 * mode = 0: fseek 
 * mode = 5: myfseek  (stdin )
 * mode = 6: mode = 1 Ƭ 4 ХȤμ򤷤ʤ
*/
int getAUheader(FILE *file, AUdata *aud, int mode)
{
    long int j;

    if (mode == 0) fseek(file, 0, SEEK_SET);
    if (mode != 6) {
	if (read4bytetoi(file, &(aud->magic)) < 0
	    || aud->magic != sto4bytei(".snd"))
	  return Err_readauheader;
    }
    if (read4bytetoi(file, &(aud->hlen)) < 0
	|| read4bytetoi(file, &(aud->datalen)) < 0
	|| read4bytetoi(file, &(aud->fmcode)) < 0
	|| read4bytetoi(file, &(aud->smplrate)) < 0
	|| read4bytetoi(file, &(aud->channel)) < 0)
      return Err_readauheader;
    aud->str = NULL;
#ifdef DEBUG1
    fprintf(stderr, "(magic, hlen, datalen, fmcode, smplrate, channel) = ");
    fprintf(stderr, "(%d, %d, %d, %d, %d, %d)\n", aud->magic, aud->hlen,
	    aud->datalen, aud->fmcode, aud->smplrate, aud->channel);
#endif /* DEBUG1 */
    if (mode == 1) fseek(file, aud->hlen - 24, SEEK_CUR);
    else for (j=25; j<=aud->hlen; j++) fgetc(file);
    return No_err;
}

#if 0
/* au file  header μ */
int getAUheader(FILE *file, AUdata *aud)
{
    fseek(file, 0, SEEK_SET);
    if (read4bytetoi(file, &(aud->magic)) < 0
       || read4bytetoi(file, &(aud->hlen)) < 0
       || read4bytetoi(file, &(aud->datalen)) < 0
       || read4bytetoi(file, &(aud->fmcode)) < 0
       || read4bytetoi(file, &(aud->smplrate)) < 0
       || read4bytetoi(file, &(aud->channel)) < 0)
      return Err_read4bytetoi;
    aud->str = NULL;
#ifdef DEBUG1
    fprintf(stderr, "(magic, hlen, datalen, fmcode, smplrate, channel) = ");
    fprintf(stderr, "(%d, %d, %d, %d, %d, %d)\n", aud->magic, aud->hlen,
	    aud->datalen, aud->fmcode, aud->smplrate, aud->channel);
#endif /* DEBUG1 */
    fseek(file, aud->hlen - 24, SEEK_CUR);
    return No_err;
}

int getAUheader_noseek(FILE *file, AUdata *aud)
{
    long int j;

    if (read4bytetoi(file, &(aud->magic)) < 0
       || read4bytetoi(file, &(aud->hlen)) < 0
       || read4bytetoi(file, &(aud->datalen)) < 0
       || read4bytetoi(file, &(aud->fmcode)) < 0
       || read4bytetoi(file, &(aud->smplrate)) < 0
       || read4bytetoi(file, &(aud->channel)) < 0)
      return Err_read4bytetoi;
    aud->str = NULL;
#ifdef DEBUG1
    fprintf(stderr, "(magic, hlen, datalen, fmcode, smplrate, channel) = ");
    fprintf(stderr, "(%d, %d, %d, %d, %d, %d)\n", aud->magic, aud->hlen,
	    aud->datalen, aud->fmcode, aud->smplrate, aud->channel);
#endif /* DEBUG1 */
    for (j=25; j<=aud->hlen; j++) fgetc(file);
    return No_err;
}

int getAUheader_noseek2(FILE *file, AUdata *aud)
{
    long int j;

    if (read4bytetoi(file, &(aud->hlen)) < 0
       || read4bytetoi(file, &(aud->datalen)) < 0
       || read4bytetoi(file, &(aud->fmcode)) < 0
       || read4bytetoi(file, &(aud->smplrate)) < 0
       || read4bytetoi(file, &(aud->channel)) < 0)
      return Err_read4bytetoi;
    aud->str = NULL;
#ifdef DEBUG1
    fprintf(stderr, "(magic, hlen, datalen, fmcode, smplrate, channel) = ");
    fprintf(stderr, "(%d, %d, %d, %d, %d, %d)\n", aud->magic, aud->hlen,
	    aud->datalen, aud->fmcode, aud->smplrate, aud->channel);
#endif /* DEBUG1 */
    for (j=25; j<=aud->hlen; j++) fgetc(file);
    return No_err;
}
#endif

/* AU header  */
int chAUheader(AUdata *aud1, AUdata *aud2)
{
    if (aud1->magic != aud2->magic) return Err_diffmagic;
    if (aud1->fmcode != aud2->fmcode) return Err_diffmcode;
    if (aud1->smplrate != aud2->smplrate) return Err_diffsmplrate;
    if (aud1->channel != aud2->channel) return Err_diffchannel;
    return No_err;
}

/* AU header  */
int chAUheaderMASK(AUdata *aud1, AUdata *aud2, int mask)
{
    if (mask&AU_MAGIC && aud1->magic != aud2->magic) 
      return Err_diffmagic;
    if (mask&AU_FMCODE && aud1->fmcode != aud2->fmcode) 
      return Err_diffmcode;
    if (mask&AU_SMPLRATE && aud1->smplrate != aud2->smplrate) 
      return Err_diffsmplrate;
    if (mask&AU_CHANNEL && aud1->channel != aud2->channel) 
      return Err_diffchannel;
    return No_err;
}

/* header ν */
void putAUheader(FILE *file, AUdata *aud)
{
    writeito4byte(file, aud->magic);
    writeito4byte(file, 32);
    writeito4byte(file, aud->datalen);
    writeito4byte(file, aud->fmcode);
    writeito4byte(file, aud->smplrate);
    writeito4byte(file, aud->channel);
    writeito4byte(file, 0);
    writeito4byte(file, 0);
}

#endif /* __AUIO_C__ */
